global R2 hx hy hr h1 h2 x0 y0 xs ys

p=700; q=4; n=40;
%p=5; q=4; n=40;


fid=fopen('nirc.asc','r');

dat=fscanf(fid,'%f',[p,n]);

status=fclose(fid);

dat=dat';

X=dat([1:22 24:40],:);  % 39 x 700 matrix of spectra, cal set, obs 23 out



fid=fopen('labc.asc','r');

dat=fscanf(fid,'%f',[q,n]);

status=fclose(fid);

dat=dat';

Y=dat([1:22 24:40],:); % 39 x 4 matrix of lab values, cal set, obs 23 out 

y=Y(:,1);              % 39 x 1 vector of fat values 

%y=Y(:,2);              % 39 x 1 vector of ??? values 

%y=Y(:,3);              % 39 x 1 vector of ????values 

%y=Y(:,4);              % 39 x 1 vector of ??? values 


wl=[1100:2:2498]';
%wl=[1100:2:1108]';


R2=crome(X,y);



% construct triangular matrix (includes diagonal) of 'NaN's

M=ones(size(R2))*NaN;

%Mt=triu(M);      % use tril here if you'd rather delete the other half 

Mt=tril(M);      % use triu here if you'd rather delete the other half 
                              



% add to R2, which replaces the whole triangle by NaN's which don't

% get plotted

R2t=R2+Mt;



h1=figure;

pcolor(wl,wl,R2t)

shading('flat')

colormap('hsv')
colorbar

xlabel('Wavelength(nm)')

ylabel('Wavelength(nm)')

title('Squared correlation for two variable equation')

set(gca,'TickDir','out')

axis([1100 2498 1100 2498])
%axis([1100 1108 1100 1108])


set(gcf,'Pointer','crosshair')

set(gcf,'WindowButtonMotionFcn','dispxyr');



% sort out scaling for position

set(gcf,'Units','normalized')

pn=get(gca,'Position');

x0=pn(1);

y0=pn(2);

xs=1398/pn(3);

ys=1398/pn(4);

% so to scale from 'units' to nm do 1100+xs*(p(1)-x0) etc



h2=figure('Position',[450 150 100 100],'MenuBar','none');

axes('XLim',[0 1],'YLim',[0 1],'Visible','off')

hx=text(0.1,0.7,'x');

hy=text(0.1,0.5,'y');

hr=text(0.1,0.3,'rsq');

