function dispxyr

global R2 hx hy hr h1 h2 x0 y0 xs ys

p=get(h1,'CurrentPoint');

% rescale 

p(1)=1100+xs*(p(1)-x0);

p(2)=1100+ys*(p(2)-y0);



ix=2*round(p(1)/2);   % nearest data point to x (nm)

iy=2*round(p(2)/2);

nx=(ix-1098)/2;       % index of this x wavelength in 1-700

ny=(iy-1098)/2;

% trap for going off edge of plot

nx=min([700 max([1 nx])]);

ny=min([700 max([1 ny])]);



rsq=R2(nx,ny);

figure(h2)

set(hx,'String',['x       ' int2str(ix)])

set(hy,'String',['y       ' int2str(iy)])

set(hr,'String',['Rsq  ' num2str(rsq,4)])

clear R2 hx hy hr h1 h2 x0 y0 xs ys